org.cpsolver.studentsct.report

## Class CriticalCoursesTable

- java.lang.Object
- - org.cpsolver.studentsct.report.AbstractStudentSectioningReport
  - - org.cpsolver.studentsct.report.CriticalCoursesTable

- All Implemented Interfaces:
    StudentSectioningReport, StudentSectioningReport.Filter

      public class CriticalCoursesTable
      extends AbstractStudentSectioningReport

  This reports lists critical courses and their assignments.
  Version:
    StudentSct 1.3 (Student Sectioning)
    Copyright (C) 2015 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.cpsolver.studentsct.report.AbstractStudentSectioningReport

      `AbstractStudentSectioningReport.CourseMatcher, AbstractStudentSectioningReport.RequestMatcher`

    - ### Nested classes/interfaces inherited from interface org.cpsolver.studentsct.report.StudentSectioningReport

      `StudentSectioningReport.Filter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CriticalCoursesTable(StudentSectioningModel model)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CSVFile` | `createTable(Assignment<Request,Enrollment> assignment, DataProperties properties)`

    - ### Methods inherited from class org.cpsolver.studentsct.report.AbstractStudentSectioningReport

      `create, getModel, isUseAmPm, matches, matches, matches, matches`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CriticalCoursesTable

          public CriticalCoursesTable(StudentSectioningModel model)

      Constructor
      Parameters:
        `model` - student sectioning model

  - ### Method Detail

    - #### createTable

          public CSVFile createTable(Assignment<Request,Enrollment> assignment,
                                     DataProperties properties)

      Specified by:
        `createTable` in class `AbstractStudentSectioningReport`